API Information

Base URL: https://biolabs.app/api

Playground: Interactive API tester - Test without writing code!

Status: Running

Executable Skill Count: 52+ skill

Format: JSON

API Endpoints

GET /api/health

Checks the API status

curl https://biolabs.app/api/health
GET /api/skills

Lists all executable skills

curl https://biolabs.app/api/skills
GET /api/skills/<skill_name>

Returns details of a skill

curl https://biolabs.app/api/skills/bioservices
POST /api/execute/<skill>/<script>

Runs a script

curl -X POST https://biolabs.app/api/execute/bioservices/compound_cross_reference.py \
  -H "Content-Type: application/json" \
  -d '{"args": ["aspirin"]}'

Usage Examples

With Python

import requests

# Tum becerileri listele
response = requests.get("https://biolabs.app/api/skills")
skills = response.json()
print(f"Toplam {skills['count']} beceri mevcut")

# Aspirin hakkinda bilgi al
response = requests.post(
    "https://biolabs.app/api/execute/bioservices/compound_cross_reference.py",
    json={"args": ["aspirin"]}
)

result = response.json()
if result['success']:
    print(result['stdout'])
else:
    print(f"Hata: {result['stderr']}")

With JavaScript/Node.js

// Bir scripti calistir
const response = await fetch('https://biolabs.app/api/execute/bioservices/compound_cross_reference.py', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({ args: ['aspirin'] })
});

const result = await response.json();
if (result.success) {
  console.log(result.stdout);
}

With cURL

# Protein analizi yap
curl -X POST https://biolabs.app/api/execute/bioservices/protein_analysis_workflow.py \
  -H "Content-Type: application/json" \
  -d '{"args": ["P53_HUMAN", "your@email.com", "--skip-blast"]}'

# bioRxiv'de makale ara
curl -X POST https://biolabs.app/api/execute/biorxiv-database/biorxiv_search.py \
  -H "Content-Type: application/json" \
  -d '{"args": ["--keyword", "CRISPR", "--limit", "5"]}'

Executable Skills (Examples)

Note: Some scripts may require an email address, API key, or other parameters. Check each script's documentation using the <code class="code-inline">GET /api/skills/&lt;skill_name&gt;</code> endpoint.

Response Format

All execution requests return the following format:

{
  "success": true,
  "returncode": 0,
  "stdout": "Script output...",
  "stderr": "",
  "command": "python script.py args..."
}

Production Usage

After publishing the application, using your production URL: